List production teammates
Retrieves a paginated list of lab members with their production room assignments. Supports filtering by room and search by name or email.
Retrieves a paginated list of lab members with their production room assignments. Supports filtering by room and search by name or email.
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Query Parameters
roomId?string
search?string
page?integer
Range
0 < valueDefault
1limit?integer
Range
0 < value <= 100Default
50Response Body
application/json
curl -X GET "https://example.com/production/teammates"{ "teammates": [ { "id": "string", "userId": "string", "role": "string", "user": { "id": "string", "name": "string", "email": "string", "image": "string" }, "rooms": [ { "id": "string", "memberId": "string", "roomId": "string", "canView": true, "canWork": true, "canAssign": true, "createdAt": "string", "updatedAt": "string", "room": { "id": "string", "name": "string", "color": "string", "createdAt": "string", "updatedAt": "string", "property1": null, "property2": null } } ] } ]}Empty